CVC4::SubrangeBoundsHashFunction Struct Reference

`#include <subrange_bound.h>`

## Public Member Functions

size_t | operator() (const SubrangeBounds &bounds) const

## Detailed Description

Definition at line 231 of file subrange_bound.h.

## Member Function Documentation

## operator()()

size_t CVC4::SubrangeBoundsHashFunction::operator() | ( | const SubrangeBounds & | bounds | ) | const

inline

Definition at line 232 of file subrange_bound.h.

References CVC4::SubrangeBound::getBound(), CVC4::SubrangeBound::hasBound(), CVC4::Integer::hash(), CVC4::SubrangeBounds::lower, and CVC4::SubrangeBounds::upper.

The documentation for this struct was generated from the following file:

- src/util/subrange_bound.h